Bug 854818 - livecd-creator needs secure boot support
livecd-creator needs secure boot support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker
:
Depends On:
Blocks: F18Alpha-accepted/F18AlphaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-09-06 00:52 EDT by Brian Lane
Modified: 2012-09-18 09:04 EDT (History)
10 users (show)

See Also:
Fixed In Version: livecd-tools-18.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 09:04:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2012-09-06 00:52:05 EDT
livecd-creator needs to be modified to support Secure Boot, including shim and grub2.
Comment 1 Brian Lane 2012-09-06 00:52:56 EDT
Code is written and tested on a non-SB UEFI machine. currently on master branch of livecd-tools
Comment 2 Adam Williamson 2012-09-06 12:17:23 EDT
I'd say this is NTH rather than blocker. We don't require secure boot functionality in the criteria. This relates rather to implementation of a feature.
Comment 3 Jóhann B. Guðmundsson 2012-09-07 15:31:12 EDT
+1 NTH
Comment 4 Adam Williamson 2012-09-10 12:20:20 EDT
Discussed at 2012-09-10 QA meeting, acting as a blocker review meeting. This clearly isn't a blocker, but we agreed it's a substantial benefit to have SB testable in Alpha, so accepted as NTH.
Comment 5 Fedora Update System 2012-09-12 16:35:44 EDT
livecd-tools-18.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-13538/livecd-tools-18.10-1.fc18
Comment 6 Adam Williamson 2012-09-12 18:30:46 EDT
Looks good: I built an image using livecd-creator from 18.10 and wrote it to USB with litd --efi from 18.10 . It boots well in UEFI mode, and I see 'Secure Boot not enabled', which I think indicates the SB support is in place but my system doesn't support SB (which is correct).
Comment 7 Fedora Update System 2012-09-12 21:51:50 EDT
livecd-tools-18.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Kamil Páral 2012-09-18 09:04:08 EDT
Update has been pushed to stable, closing.

Note You need to log in before you can comment on or make changes to this bug.